=== varia/CMakeLists.txt ===
add_subdirectory (configuration)
add_subdirectory (syntax)
add_subdirectory (themes)
