=== debian/changelog ===
kadu (0.12.3-3) unstable; urgency=low

  * Fixed a build issue. Thanks Mateusz Łukasik for the patch! (Closes:
    #730923)

 -- Patryk Cisek <patryk@debian.org>  Sun, 08 Dec 2013 09:26:29 +0100

kadu (0.12.3-2) unstable; urgency=low

  * debian.install and debian/kadu-external-modules.install are now modified
    so they fit non-linux Debian flavors
  * Bumped Standards-Version to 3.9.4

 -- Patryk Cisek <patryk@debian.org>  Sat, 13 Jul 2013 19:10:55 +0200

kadu (0.12.3-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/05-hotfix_upstream.patch and
    debian/patches/06-mpris_player-harden-fix.patch -- patches applied
    upstream
  * Icon theme glass is installed again, since all icon sizes have been
    corrected
  * Changed build dependency from aspell to enchant (Upstream's suggestion)

 -- Patryk Cisek <patryk@debian.org>  Sat, 15 Sep 2012 13:02:48 +0200

kadu (0.12.2-3) unstable; urgency=low

  * Added debian/patches/06-mpris_player-harden-fix.patch which fixes
    loading mpris_player plugin on Debian hardened build.

 -- Patryk Cisek <patryk@debian.org>  Mon, 10 Sep 2012 07:26:01 +0200

kadu (0.12.2-2) unstable; urgency=low

  * Added important fix in debian/patches/05-hotfix_upstream.patch reported
    by upstream
  * Using hardening-wrapper from now on

 -- Patryk Cisek <patryk@debian.org>  Wed, 05 Sep 2012 09:31:06 +0200

kadu (0.12.2-1) unstable; urgency=low

  * New upstream release
  * Added import_history plugin back
  * Bumped debhelper's version in Build-Depends
  * Added Pre-Depends: ${misc:Pre-Depends} to kadu and
    kadu-external-modules
  * Added translations to mpd_mediaplayer plugin in debian/kadu-
    common.install

 -- Patryk Cisek <patryk@debian.org>  Mon, 03 Sep 2012 16:03:29 +0200

kadu (0.12.0-1) unstable; urgency=low

  * New upstream release
  * Updated debian/build_kadu.sh to new branches names (0.12/*)
  * Updated debian/patches/03-about-dialog.patch to make it fit 0.12.0
  * Removed importhistory module, since it's no longer maintained
  * Removed debian/tmp/usr/share/kadu/plugins/sdk/ from
    debian/kadu-dev.install
  * Using dpkg-buildflags for hardening now
  * Removed glass icon theme until directory names get fixed
  * Fixed resolution of dialog-error.png in default icon theme

 -- Patryk Cisek <patryk@debian.org>  Sun, 05 Aug 2012 17:21:53 +0200
