## kadu 1.0~rc2.5

=== debian/changelog ===
kadu (1.0~rc2.5-1) unstable; urgency=low

  * New upstream release (Closes: #746102).
  * Cleaned-up debian/patches -- made those fit Kadu 1.0
  * Added pkgconf, libarchive-dev and libotr5-dev to Build-Depends
  * Removed kadu-external-modules package
  * Updated debian/*.install files
  * Replaced hardening-wrapper with dpkg-buildflags
  * In debian/rules (install/install-indep) moving cmake files to proper
    directory
  * Added -DCMAKE_SKIP_RPATH=True to cmake call
  * Bumped version of debhelper in Build-Depends
  * Added debian/patches/03-install_libkadu_in_proper_dir.patch
  * Added debian/post{inst,rm} to call ldconfig for libkadu.so

 -- Patryk Cisek <patryk@debian.org>  Tue, 15 Jul 2014 19:05:09 +0200
