=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Vcs-Browser: http://git.debian.org/?p=users/patryk/kadu.git
 Build-Depends: bzip2,
                cmake (>=2.6),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
                enchant,
-               hardening-wrapper,
+               libarchive-dev,
                libasound2-dev,
                libaudio-dev,
                libdbus-1-dev,
@@ -17,6 +17,7 @@
                libidn11-dev,
                libindicate-qt-dev,
                libmpdclient-dev,
+               libotr5-dev,
                libphonon-dev,
                libqca2-dev,
                libqt4-dev,
@@ -27,10 +28,11 @@
                libxss-dev,
                libxtst-dev,
                patchutils (>= 0.2.25),
+               pkgconf,
                sharutils,
                x11proto-scrnsaver-dev,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://kadu.net
 
 Package: kadu
@@ -42,9 +44,8 @@
          libqt4-svg,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: kadu-external-modules (>= 0.10.0-2)
-Breaks: kadu-external-modules (<< 0.10.0-2)
-Replaces: kadu-external-modules (<< 0.10.0-2)
+Breaks: kadu-external-modules (<< 1.0)
+Replaces: kadu-external-modules (<< 1.0)
 Suggests: kadu-themes
 Description: Gadu-Gadu/XMPP client for X11
  Gadu-Gadu is a Windows instant messenger, very popular in Poland.
@@ -55,9 +56,7 @@
 Package: kadu-common
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: kadu-external-modules (>= 0.10.0-2)
 Breaks: kadu-external-modules (<< 0.10.0-2)
-Replaces: kadu-external-modules (<< 0.10.0-2)
 Suggests: kadu-themes
 Description: Gadu-Gadu/XMPP client for X11
  Gadu-Gadu is a Windows instant messenger, very popular in Poland.
@@ -74,19 +73,6 @@
  .
  This package provides development files needed to compile plugins for Kadu.
 
-Package: kadu-external-modules
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: kadu (>= 0.10.0-2), ${misc:Depends}, ${shlibs:Depends}
-Breaks: kadu (<< 0.10.0-2), kadu-common (<< 0.10.0-2)
-Replaces: kadu (<< 0.10.0-2), kadu-common (<< 0.10.0-2)
-Description: Additional plugins for Kadu
- Gadu-Gadu is a Windows instant messenger, very popular in Poland.
- Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
- .
- This package provides additional packages developed by external developers.
- See README.Debian for more details.
-
 Package: kadu-themes
 Architecture: all
 Depends: ${misc:Depends}
