=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,12 @@
 INSTALL_DIR=$(PKG_DIR)/debian/tmp
 DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 
 configure: configure-stamp
 configure-stamp:
@@ -24,7 +30,7 @@
 ifeq ($(DEB_BUILD_ARCH_OS), hurd)
 		debian/prepare_install_files.sh non-linux
 endif
-	cd $(BUILD_DIR) && cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr $(PKG_DIR)
+	cd $(BUILD_DIR) && cmake -DCMAKE_SKIP_RPATH=True -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr $(PKG_DIR)
 	touch configure-stamp
 
 #Architecture
@@ -61,9 +67,6 @@
 	# Remove all thumbnails files
 	find $(INSTALL_DIR) -name Thumbs.db -delete
 	rm -f $(INSTALL_DIR)/usr/share/kadu/themes/sounds/bns/sound.conf~
-	# Move FindKadu.cmake to proper directory
-	mkdir -p $(INSTALL_DIR)/usr/share/cmake-2.8/Modules/
-	cp $(INSTALL_DIR)/usr/share/cmake/Modules/FindKadu.cmake $(INSTALL_DIR)/usr/share/cmake-2.8/Modules/
 	dh_install -i
 
 install-arch:
